Gentoo Archives: gentoo-commits

From: Lars Wendler <polynomial-c@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/chkrootkit/
Date: Tue, 12 Feb 2019 08:15:34
Message-Id: 1549959325.94e141d03ec6cce685fc8d294464422c10befc82.polynomial-c@gentoo
commit:     94e141d03ec6cce685fc8d294464422c10befc82
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 12 08:15:10 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Feb 12 08:15:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94e141d0

app-forensics/chkrootkit: Bump to version 0.53

Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-forensics/chkrootkit/Manifest               |  2 +
 app-forensics/chkrootkit/chkrootkit-0.53.ebuild | 58 +++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/app-forensics/chkrootkit/Manifest b/app-forensics/chkrootkit/Manifest
index eea21e919a2..de0b8176b02 100644
--- a/app-forensics/chkrootkit/Manifest
+++ b/app-forensics/chkrootkit/Manifest
@@ -1,2 +1,4 @@
 DIST chkrootkit-0.51-gentoo.diff.xz 4708 BLAKE2B 0dacba47222319d9e5bb5d39e0eb4b7074fb3025be885c5fd9564c10f592e04ba4afe2d0c792a2e54fe4c9b1103e366f65af949e7c0db730bf61981fe8fe2364 SHA512 13dca9c272d85d35d736e14896058612f62e1781aac034f06882fe63d956f074a3c67bf308c104f0080323bb127ba01373967b2c28481741d17d83310fe52dd0
 DIST chkrootkit-0.52.tar 40031 BLAKE2B 8bd3518edc11a22dbc7e866de622454f55baa9fcd06a4034489596c0a24d867fec16d134dbc0aaf8b936640177d7dee8e061e39813a3ed261ae657d70f54a47d SHA512 45d66227c185c60166c9ea2a1f89f4594fa7c943c280fd6da5b59b5b355d5fe0d36806ef133fb29f9b2cac0bc05e9c10773ed4fae923a7115cc900818a596d42
+DIST chkrootkit-0.53-gentoo.diff.xz 4844 BLAKE2B b4f0077989e032154f190f6bad98e8882390a2ac7e144a2c755fbeb560c809c8289563e57dd8fda23eca07dcb1b3e59d6fb016e72ecbb29d184fdf8feb4949d0 SHA512 664c203b093fb91963bae8f70d5711dfd0023c789ddd4265031c84f91f01a53b3b28757cd08b8633c3f6c184a257616b05bc12d8c84202ff98db523aaff5a6f3
+DIST chkrootkit-0.53.tar.gz 40483 BLAKE2B ee78afc5bb5453fe7b30d966988060a68b7286fce0f87fb76d8ea3b1dd548c287c8bfc6f0772e05e6eee362af873148399a0a8af91d48765e542970dc3149c9d SHA512 f8de19d0a61ccb6ac184ad6642d78041729cba799eedcc8088cb6d2c5cf4de0574c6083caad364576a601265322e61c183b266304f00667527bf29fdc51359c7

diff --git a/app-forensics/chkrootkit/chkrootkit-0.53.ebuild b/app-forensics/chkrootkit/chkrootkit-0.53.ebuild
new file mode 100644
index 00000000000..f55b55e51bf
--- /dev/null
+++ b/app-forensics/chkrootkit/chkrootkit-0.53.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+GENTOO_PATCH="${PN}-0.53-gentoo.diff"
+
+DESCRIPTION="Tool to locally check for signs of a rootkit"
+HOMEPAGE="http://www.chkrootkit.org/"
+SRC_URI="ftp://ftp.pangeia.com.br/pub/seg/pac/${P}.tar.gz
+	https://dev.gentoo.org/~polynomial-c/${GENTOO_PATCH}.xz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="+cron"
+
+RDEPEND="cron? ( virtual/cron )"
+
+PATCHES=(
+	"${WORKDIR}/${GENTOO_PATCH}"
+)
+
+src_prepare() {
+	default
+	sed -e 's:/var/adm/:/var/log/:g' \
+		-i chklastlog.c || die
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" STRIP=true sense
+}
+
+src_install() {
+	dosbin chkdirs chklastlog chkproc chkrootkit chkwtmp chkutmp ifpromisc strings-static
+	dodoc ACKNOWLEDGMENTS README*
+
+	if use cron ; then
+		exeinto /etc/cron.weekly
+		newexe "${FILESDIR}"/${PN}.cron ${PN}
+	fi
+}
+
+pkg_postinst() {
+	if use cron ; then
+		elog
+		elog "Edit /etc/cron.weekly/chkrootkit to activate chkrootkit!"
+		elog
+	fi
+
+	elog
+	elog "Some applications, such as portsentry, will cause chkrootkit"
+	elog "to produce false positives.  Read the chkrootkit FAQ at"
+	elog "http://www.chkrootkit.org/ for more information."
+	elog
+}